#!/bin/bash
set -e
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

if [ $UID != 0 ]; then
  echo "You're not root.  Run this script under sudo."
  exit 1
fi

echo "Killing other openvpn connections..."
killall openvpn || true
openvpn --config  "$DIR"/openvpn.config >/dev/null 2>&1 &

echo "VPN ready.  To kill it:"
echo "    sudo killall openvpn"
